window.Gleam.initSearch([{"doc":"gip","title":"gip","content":"# gip\n\n[![Package Version](https://img.shields.io/hexpm/v/gip)](https://hex.pm/packages/gip)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gip/)\n\n```sh\ngleam add gip\n```\n\n```gleam\nimport gleam/bool\nimport gleam/io\nimport gip\n\npub fn main() {\n  io.debug(gip.self()) // Ok(#(x,x,x,x)) | Your current IP\n  let ip = &quot;192.0.0.1&quot;\n  io.debug(&quot;Is IP &quot; &lt;&gt; bool.to_string(gip.is_ip(ip))) // Is IP True | If the provided IP is valid\n  io.debug(&quot;Is V4 &quot; &lt;&gt; bool.to_string(gip.is_v4(ip))) // Is V4 True | If the provided IP is a valid IPV4\n  io.debug(&quot;Is V6 &quot; &lt;&gt; bool.to_string(gip.is_v6(ip))) // Is V6 True | If the provided IP is a valid IPV6\n  case parse(ip) {\n    Ok(parsed) -&gt; {\n      io.debug(&quot;Can be parsed&quot;)\n      io.debug(parsed) // #(192,0,0,1) | The IP as a 4xInt tuple\n      case stringify(parsed) {\n        Ok(stringy) -&gt; io.debug(&quot;Can convert into String &quot; &lt;&gt; stringy) // Can convert into String 192.0.0.1 | The IP back as a String\n        Error(_) -&gt; panic as &quot;Cannot stringify IP!&quot;\n      }\n    }\n    Error(_) -&gt; panic as &quot;Cannot parse IP!&quot;\n  }\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/gip&gt;.\n\n## Thanks\n\n- [node-ip](https://github.com/indutny/node-ip) for IP methods on node","url":"index.html"},{"doc":"gip","title":"IP","content":"pub type IP {\n  V4(#(Int, Int, Int, Int))\n  V6(\n    #(\n      Int,\n      Int,\n      Int,\n      Int,\n      Int,\n      Int,\n      Int,\n      Int,\n      Int,\n      Int,\n      Int,\n      Int,\n      Int,\n      Int,\n      Int,\n      Int,\n    ),\n  )\n}\n\nV4(#(Int, Int, Int, Int))\n An IPV4 respresented as a tuple of 4xInt(Int.Int.Int.Int)\n All Int&#39;s will fall in the bounds 0 &lt;= Int &lt; 255\n\nV6(\n  #(\n    Int,\n    Int,\n    Int,\n    Int,\n    Int,\n    Int,\n    Int,\n    Int,\n    Int,\n    Int,\n    Int,\n    Int,\n    Int,\n    Int,\n    Int,\n    Int,\n  ),\n)\n An IPV4 respresented as a tuple of 16xInt(Int.Int.Int.Int.Int.Int.Int.Int.Int.Int.Int.Int.Int.Int.Int.Int)\n All Int&#39;s will fall in the bounds 0 &lt;= Int &lt; 255\n\nSynonyms:\ngip.IP\ngip IP","url":"gip.html#IP"},{"doc":"gip","title":"is_ip","content":"pub fn is_ip(ip: String) -&gt; Bool\n Checks if the provided Ip is a valid Ip\nSynonyms:\ngip.is_ip\ngip is_ip","url":"gip.html#is_ip"},{"doc":"gip","title":"is_v4","content":"pub fn is_v4(ip: String) -&gt; Bool\n Checks if the provided Ip is a valid Ipv4\nSynonyms:\ngip.is_v4\ngip is_v4","url":"gip.html#is_v4"},{"doc":"gip","title":"is_v6","content":"pub fn is_v6(ip: String) -&gt; Bool\n Checks if the provided Ip is a valid Ipv6\nSynonyms:\ngip.is_v6\ngip is_v6","url":"gip.html#is_v6"},{"doc":"gip","title":"parse","content":"pub fn parse(ip: String) -&gt; Result(IP, String)\n Parses the provided String into an Ip\n Or povides a message detailing what went wrong\nSynonyms:\ngip.parse\ngip parse","url":"gip.html#parse"},{"doc":"gip","title":"self","content":"pub fn self() -&gt; Result(IP, String)\n Returns the Ip of the current machine\n Or povides a message detailing what went wrong\nSynonyms:\ngip.self\ngip self","url":"gip.html#self"},{"doc":"gip","title":"stringify","content":"pub fn stringify(ip: IP) -&gt; Result(String, String)\n Converts the provided Ip into a String\n Or povides a message detailing what went wrong\nSynonyms:\ngip.stringify\ngip stringify","url":"gip.html#stringify"},{"doc":"gip","title":"gip","content":"","url":"gip.html"}]);